Commit 316344bd authored by Adrien Plazas's avatar Adrien Plazas

debian: Disable snap

PureOS Amber doesn't ship a recent enough version of libsnapd-glib and
we don't really need that feature yet.
parent 85c704d6
......@@ -27,7 +27,6 @@ Build-Depends: appstream,
libostree-dev [linux-any],
libpackagekit-glib2-dev (>= 1.1.11),
libpolkit-gobject-1-dev,
libsnapd-glib-dev (>= 1.54) [amd64 arm64 armel armhf i386 ppc64el s390x],
libsoup2.4-dev (>= 2.52.0),
libxml2-utils,
libxmlb-dev (>= 0.1.7),
......@@ -104,26 +103,6 @@ Description: Flatpak support for GNOME Software
.
This package contains the Flatpak plugin.
Package: gnome-software-plugin-snap
Architecture: amd64 arm64 armel armhf i386 ppc64el s390x
Depends: gnome-software (= ${binary:Version}),
snapd [amd64 arm64 armel armhf i386 ppc64el],
${misc:Depends},
${shlibs:Depends}
Recommends: snapd [s390x]
Breaks: gnome-software (<< 3.22.3)
Replaces: gnome-software (<< 3.22.3)
Description: Snap support for GNOME Software
Software lets you install and update applications and system extensions.
.
Software uses a plugin architecture to separate the frontend from the
technologies that are used underneath. Currently, a PackageKit plugin provides
data from a number of traditional packaging systems, such as rpm or apt. An
appdata plugin provides additional metadata from locally installed data in the
appdata format.
.
This package contains the Snap plugin.
Package: gnome-software-dev
Section: libdevel
Architecture: any
......
......@@ -23,7 +23,6 @@ Build-Depends: appstream,
libostree-dev [linux-any],
libpackagekit-glib2-dev (>= 1.1.11),
libpolkit-gobject-1-dev,
libsnapd-glib-dev (>= 1.54) [amd64 arm64 armel armhf i386 ppc64el s390x],
libsoup2.4-dev (>= 2.52.0),
libxml2-utils,
libxmlb-dev (>= 0.1.7),
......@@ -100,26 +99,6 @@ Description: Flatpak support for GNOME Software
.
This package contains the Flatpak plugin.
Package: gnome-software-plugin-snap
Architecture: amd64 arm64 armel armhf i386 ppc64el s390x
Depends: gnome-software (= ${binary:Version}),
snapd [amd64 arm64 armel armhf i386 ppc64el],
${misc:Depends},
${shlibs:Depends}
Recommends: snapd [s390x]
Breaks: gnome-software (<< 3.22.3)
Replaces: gnome-software (<< 3.22.3)
Description: Snap support for GNOME Software
Software lets you install and update applications and system extensions.
.
Software uses a plugin architecture to separate the frontend from the
technologies that are used underneath. Currently, a PackageKit plugin provides
data from a number of traditional packaging systems, such as rpm or apt. An
appdata plugin provides additional metadata from locally installed data in the
appdata format.
.
This package contains the Snap plugin.
Package: gnome-software-dev
Section: libdevel
Architecture: any
......
......@@ -35,11 +35,6 @@ ifeq ($(DEB_HOST_ARCH_OS), linux)
# Enable fwupd support on Linux
GS_CONFIGURE_FLAGS += -Dfwupd=true
# Enable snap support on supported architectures
ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 ppc64el s390x))
GS_CONFIGURE_FLAGS += -Dsnap=true
endif
# Enable valgrind support on supported architectures
ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64el s390x))
GS_CONFIGURE_FLAGS += -Dvalgrind=true
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment